# Generated by Django 5.1.2 on 2024-10-29 16:25

import django.db.models.deletion
import wagtail.fields
from django.conf import settings
from django.db import migrations, models


class Migration(migrations.Migration):

    initial = True

    dependencies = [
        ('aratinga', '0003_alter_genericsettings_title_suffix'),
        migrations.swappable_dependency(settings.AUTH_USER_MODEL),
    ]

    operations = [
        migrations.CreateModel(
            name='ArticleIndexPage',
            fields=[
                ('aratingapage_ptr', models.OneToOneField(auto_created=True, on_delete=django.db.models.deletion.CASCADE, parent_link=True, primary_key=True, serialize=False, to='aratinga.aratingapage')),
                ('body', wagtail.fields.StreamField([('cardgrid', 22), ('html', 23)], blank=True, block_lookup={0: ('wagtail.blocks.ChoiceBlock', [], {'choices': [('', 'Default'), ('aratinga/blocks/cardgrid_group.html', 'Card group - attached cards of equal size'), ('aratinga/blocks/cardgrid_deck.html', 'Card deck - separate cards of equal size'), ('aratinga/blocks/cardgrid_columns.html', 'Card masonry - fluid brick pattern')], 'label': 'Template', 'required': False}), 1: ('wagtail.blocks.CharBlock', (), {'label': 'Custom CSS Class', 'max_length': 255, 'required': False}), 2: ('wagtail.blocks.CharBlock', (), {'label': 'Custom ID', 'max_length': 255, 'required': False}), 3: ('wagtail.blocks.StructBlock', [[('custom_template', 0), ('custom_css_class', 1), ('custom_id', 2)]], {}), 4: ('wagtail.blocks.BooleanBlock', (), {'label': 'Full width', 'required': False}), 5: ('wagtail.blocks.ChoiceBlock', [], {'choices': [('', 'Default'), ('aratinga/blocks/card_block.html', 'Card'), ('aratinga/blocks/card_head.html', 'Card with header'), ('aratinga/blocks/card_foot.html', 'Card with footer'), ('aratinga/blocks/card_head_foot.html', 'Card with header and footer'), ('aratinga/blocks/card_blurb.html', 'Blurb - rounded image and no border'), ('aratinga/blocks/card_img.html', 'Cover image - use image as background')], 'label': 'Template', 'required': False}), 6: ('wagtail.blocks.StructBlock', [[('custom_template', 5), ('custom_css_class', 1), ('custom_id', 2)]], {}), 7: ('wagtail.images.blocks.ImageChooserBlock', (), {'label': 'Image', 'max_length': 255, 'required': False}), 8: ('wagtail.blocks.CharBlock', (), {'label': 'Title', 'max_length': 255, 'required': False}), 9: ('wagtail.blocks.CharBlock', (), {'label': 'Subtitle', 'max_length': 255, 'required': False}), 10: ('wagtail.blocks.RichTextBlock', (), {'features': ['bold', 'italic', 'ol', 'ul', 'hr', 'link', 'document-link'], 'label': 'Body'}), 11: ('wagtail.blocks.ChoiceBlock', [], {'choices': [('', 'Default')], 'label': 'Template', 'required': False}), 12: ('wagtail.blocks.StructBlock', [[('custom_template', 11), ('custom_css_class', 1), ('custom_id', 2)]], {}), 13: ('wagtail.blocks.PageChooserBlock', (), {'label': 'Page link', 'required': False}), 14: ('wagtail.documents.blocks.DocumentChooserBlock', (), {'label': 'Document link', 'required': False}), 15: ('wagtail.blocks.CharBlock', (), {'label': 'Other link', 'max_length': 255, 'required': False}), 16: ('wagtail.blocks.ChoiceBlock', [], {'choices': [('btn-primary', 'Primary'), ('btn-secondary', 'Secondary'), ('btn-success', 'Success'), ('btn-danger', 'Danger'), ('btn-warning', 'Warning'), ('btn-info', 'Info'), ('btn-link', 'Link'), ('btn-light', 'Light'), ('btn-dark', 'Dark'), ('btn-outline-primary', 'Outline Primary'), ('btn-outline-secondary', 'Outline Secondary'), ('btn-outline-success', 'Outline Success'), ('btn-outline-danger', 'Outline Danger'), ('btn-outline-warning', 'Outline Warning'), ('btn-outline-info', 'Outline Info'), ('btn-outline-light', 'Outline Light'), ('btn-outline-dark', 'Outline Dark')], 'label': 'Button Style', 'required': False}), 17: ('wagtail.blocks.ChoiceBlock', [], {'choices': [('btn-sm', 'Small'), ('', 'Default'), ('btn-lg', 'Large')], 'label': 'Button Size', 'required': False}), 18: ('wagtail.blocks.StructBlock', [[('settings', 12), ('page_link', 13), ('doc_link', 14), ('other_link', 15), ('button_title', 8), ('button_style', 16), ('button_size', 17)]], {}), 19: ('wagtail.blocks.StreamBlock', [[('Links', 18)]], {'blank': True, 'label': 'Links', 'required': False}), 20: ('wagtail.blocks.StructBlock', [[('settings', 6), ('image', 7), ('title', 8), ('subtitle', 9), ('description', 10), ('links', 19)]], {}), 21: ('wagtail.blocks.StreamBlock', [[('card', 20)]], {'label': 'Content'}), 22: ('wagtail.blocks.StructBlock', [[('settings', 3), ('fluid', 4), ('content', 21)]], {}), 23: ('wagtail.blocks.RawHTMLBlock', (), {'form_classname': 'monospace', 'icon': 'code', 'label': 'HTML'})}, null=True)),
                ('show_images', models.BooleanField(default=True, verbose_name='Show images')),
                ('show_captions', models.BooleanField(default=True)),
                ('show_meta', models.BooleanField(default=True, verbose_name='Show author and date info')),
                ('show_preview_text', models.BooleanField(default=True, verbose_name='Show preview text')),
            ],
            options={
                'verbose_name': 'Article Landing Page',
            },
            bases=('aratinga.aratingapage',),
        ),
        migrations.CreateModel(
            name='WebPage',
            fields=[
                ('aratingapage_ptr', models.OneToOneField(auto_created=True, on_delete=django.db.models.deletion.CASCADE, parent_link=True, primary_key=True, serialize=False, to='aratinga.aratingapage')),
                ('body', wagtail.fields.StreamField([('cardgrid', 22), ('html', 23)], blank=True, block_lookup={0: ('wagtail.blocks.ChoiceBlock', [], {'choices': [('', 'Default'), ('aratinga/blocks/cardgrid_group.html', 'Card group - attached cards of equal size'), ('aratinga/blocks/cardgrid_deck.html', 'Card deck - separate cards of equal size'), ('aratinga/blocks/cardgrid_columns.html', 'Card masonry - fluid brick pattern')], 'label': 'Template', 'required': False}), 1: ('wagtail.blocks.CharBlock', (), {'label': 'Custom CSS Class', 'max_length': 255, 'required': False}), 2: ('wagtail.blocks.CharBlock', (), {'label': 'Custom ID', 'max_length': 255, 'required': False}), 3: ('wagtail.blocks.StructBlock', [[('custom_template', 0), ('custom_css_class', 1), ('custom_id', 2)]], {}), 4: ('wagtail.blocks.BooleanBlock', (), {'label': 'Full width', 'required': False}), 5: ('wagtail.blocks.ChoiceBlock', [], {'choices': [('', 'Default'), ('aratinga/blocks/card_block.html', 'Card'), ('aratinga/blocks/card_head.html', 'Card with header'), ('aratinga/blocks/card_foot.html', 'Card with footer'), ('aratinga/blocks/card_head_foot.html', 'Card with header and footer'), ('aratinga/blocks/card_blurb.html', 'Blurb - rounded image and no border'), ('aratinga/blocks/card_img.html', 'Cover image - use image as background')], 'label': 'Template', 'required': False}), 6: ('wagtail.blocks.StructBlock', [[('custom_template', 5), ('custom_css_class', 1), ('custom_id', 2)]], {}), 7: ('wagtail.images.blocks.ImageChooserBlock', (), {'label': 'Image', 'max_length': 255, 'required': False}), 8: ('wagtail.blocks.CharBlock', (), {'label': 'Title', 'max_length': 255, 'required': False}), 9: ('wagtail.blocks.CharBlock', (), {'label': 'Subtitle', 'max_length': 255, 'required': False}), 10: ('wagtail.blocks.RichTextBlock', (), {'features': ['bold', 'italic', 'ol', 'ul', 'hr', 'link', 'document-link'], 'label': 'Body'}), 11: ('wagtail.blocks.ChoiceBlock', [], {'choices': [('', 'Default')], 'label': 'Template', 'required': False}), 12: ('wagtail.blocks.StructBlock', [[('custom_template', 11), ('custom_css_class', 1), ('custom_id', 2)]], {}), 13: ('wagtail.blocks.PageChooserBlock', (), {'label': 'Page link', 'required': False}), 14: ('wagtail.documents.blocks.DocumentChooserBlock', (), {'label': 'Document link', 'required': False}), 15: ('wagtail.blocks.CharBlock', (), {'label': 'Other link', 'max_length': 255, 'required': False}), 16: ('wagtail.blocks.ChoiceBlock', [], {'choices': [('btn-primary', 'Primary'), ('btn-secondary', 'Secondary'), ('btn-success', 'Success'), ('btn-danger', 'Danger'), ('btn-warning', 'Warning'), ('btn-info', 'Info'), ('btn-link', 'Link'), ('btn-light', 'Light'), ('btn-dark', 'Dark'), ('btn-outline-primary', 'Outline Primary'), ('btn-outline-secondary', 'Outline Secondary'), ('btn-outline-success', 'Outline Success'), ('btn-outline-danger', 'Outline Danger'), ('btn-outline-warning', 'Outline Warning'), ('btn-outline-info', 'Outline Info'), ('btn-outline-light', 'Outline Light'), ('btn-outline-dark', 'Outline Dark')], 'label': 'Button Style', 'required': False}), 17: ('wagtail.blocks.ChoiceBlock', [], {'choices': [('btn-sm', 'Small'), ('', 'Default'), ('btn-lg', 'Large')], 'label': 'Button Size', 'required': False}), 18: ('wagtail.blocks.StructBlock', [[('settings', 12), ('page_link', 13), ('doc_link', 14), ('other_link', 15), ('button_title', 8), ('button_style', 16), ('button_size', 17)]], {}), 19: ('wagtail.blocks.StreamBlock', [[('Links', 18)]], {'blank': True, 'label': 'Links', 'required': False}), 20: ('wagtail.blocks.StructBlock', [[('settings', 6), ('image', 7), ('title', 8), ('subtitle', 9), ('description', 10), ('links', 19)]], {}), 21: ('wagtail.blocks.StreamBlock', [[('card', 20)]], {'label': 'Content'}), 22: ('wagtail.blocks.StructBlock', [[('settings', 3), ('fluid', 4), ('content', 21)]], {}), 23: ('wagtail.blocks.RawHTMLBlock', (), {'form_classname': 'monospace', 'icon': 'code', 'label': 'HTML'})}, null=True)),
            ],
            options={
                'verbose_name': 'Web Page',
            },
            bases=('aratinga.aratingapage',),
        ),
        migrations.CreateModel(
            name='ArticlePage',
            fields=[
                ('aratingapage_ptr', models.OneToOneField(auto_created=True, on_delete=django.db.models.deletion.CASCADE, parent_link=True, primary_key=True, serialize=False, to='aratinga.aratingapage')),
                ('body', wagtail.fields.StreamField([('text', 0), ('button', 11), ('image', 13), ('image_link', 15), ('html', 16), ('download', 17), ('embed_video', 19), ('quote', 22), ('table', 24), ('google_map', 29), ('page_list', 34), ('page_preview', 36), ('card', 43), ('carousel', 45)], blank=True, block_lookup={0: ('aratinga.blocks.html_blocks.RichTextBlock', (), {'icon': 'ara-font'}), 1: ('wagtail.blocks.ChoiceBlock', [], {'choices': [('', 'Default')], 'label': 'Template', 'required': False}), 2: ('wagtail.blocks.CharBlock', (), {'label': 'Custom CSS Class', 'max_length': 255, 'required': False}), 3: ('wagtail.blocks.CharBlock', (), {'label': 'Custom ID', 'max_length': 255, 'required': False}), 4: ('wagtail.blocks.StructBlock', [[('custom_template', 1), ('custom_css_class', 2), ('custom_id', 3)]], {}), 5: ('wagtail.blocks.PageChooserBlock', (), {'label': 'Page link', 'required': False}), 6: ('wagtail.documents.blocks.DocumentChooserBlock', (), {'label': 'Document link', 'required': False}), 7: ('wagtail.blocks.CharBlock', (), {'label': 'Other link', 'max_length': 255, 'required': False}), 8: ('wagtail.blocks.CharBlock', (), {'label': 'Title', 'max_length': 255, 'required': False}), 9: ('wagtail.blocks.ChoiceBlock', [], {'choices': [('btn-primary', 'Primary'), ('btn-secondary', 'Secondary'), ('btn-success', 'Success'), ('btn-danger', 'Danger'), ('btn-warning', 'Warning'), ('btn-info', 'Info'), ('btn-link', 'Link'), ('btn-light', 'Light'), ('btn-dark', 'Dark'), ('btn-outline-primary', 'Outline Primary'), ('btn-outline-secondary', 'Outline Secondary'), ('btn-outline-success', 'Outline Success'), ('btn-outline-danger', 'Outline Danger'), ('btn-outline-warning', 'Outline Warning'), ('btn-outline-info', 'Outline Info'), ('btn-outline-light', 'Outline Light'), ('btn-outline-dark', 'Outline Dark')], 'label': 'Button Style', 'required': False}), 10: ('wagtail.blocks.ChoiceBlock', [], {'choices': [('btn-sm', 'Small'), ('', 'Default'), ('btn-lg', 'Large')], 'label': 'Button Size', 'required': False}), 11: ('wagtail.blocks.StructBlock', [[('settings', 4), ('page_link', 5), ('doc_link', 6), ('other_link', 7), ('button_title', 8), ('button_style', 9), ('button_size', 10)]], {}), 12: ('wagtail.images.blocks.ImageChooserBlock', (), {'label': 'Image'}), 13: ('wagtail.blocks.StructBlock', [[('settings', 4), ('image', 12)]], {}), 14: ('wagtail.blocks.CharBlock', (), {'help_text': 'Alternate text to show if the image doesn’t load', 'max_length': 255, 'required': True}), 15: ('wagtail.blocks.StructBlock', [[('settings', 4), ('page_link', 5), ('doc_link', 6), ('other_link', 7), ('button_title', 8), ('image', 12), ('alt_text', 14)]], {}), 16: ('wagtail.blocks.RawHTMLBlock', (), {'form_classname': 'monospace', 'icon': 'code', 'label': 'HTML'}), 17: ('wagtail.blocks.StructBlock', [[('settings', 4), ('button_style', 9), ('button_size', 10), ('downloadable_file', 6)]], {}), 18: ('wagtail.embeds.blocks.EmbedBlock', (), {'help_text': 'Link to a YouTube/Vimeo video, tweet, facebook post, etc.', 'label': 'URL', 'required': True}), 19: ('wagtail.blocks.StructBlock', [[('settings', 4), ('url', 18)]], {}), 20: ('wagtail.blocks.TextBlock', (), {'label': 'Quote Text', 'required': True, 'rows': 4}), 21: ('wagtail.blocks.CharBlock', (), {'label': 'Author', 'max_length': 255, 'required': False}), 22: ('wagtail.blocks.StructBlock', [[('settings', 4), ('text', 20), ('author', 21)]], {}), 23: ('wagtail.contrib.table_block.blocks.TableBlock', (), {}), 24: ('wagtail.blocks.StructBlock', [[('settings', 4), ('table', 23)]], {}), 25: ('wagtail.blocks.CharBlock', (), {'help_text': 'Address or search term used to find your location on the map.', 'label': 'Search query', 'max_length': 255, 'required': False}), 26: ('wagtail.blocks.CharBlock', (), {'help_text': 'Map title for screen readers, ex: "Map to Goodale Park"', 'label': 'Map title', 'max_length': 255, 'required': False}), 27: ('wagtail.blocks.CharBlock', (), {'help_text': 'Requires API key to use place ID.', 'label': 'Google place ID', 'max_length': 255, 'required': False}), 28: ('wagtail.blocks.IntegerBlock', (), {'default': 14, 'help_text': 'Requires API key to use zoom. 1: World, 5: Landmass/continent, 10: City, 15: Streets, 20: Buildings', 'label': 'Map zoom level', 'required': False}), 29: ('wagtail.blocks.StructBlock', [[('settings', 4), ('search', 25), ('map_title', 26), ('place_id', 27), ('map_zoom_level', 28)]], {}), 30: ('wagtail.blocks.PageChooserBlock', (), {'help_text': 'Show a preview of pages that are children of the selected page. Uses ordering specified in the page’s LAYOUT tab.', 'label': 'Parent page', 'required': True}), 31: ('aratinga.blocks.base_blocks.ClassifierTermChooserBlock', (), {'help_text': 'Only show pages that are classified with this term.', 'label': 'Classified as', 'required': False}), 32: ('wagtail.blocks.BooleanBlock', (), {'default': False, 'label': 'Show body preview', 'required': False}), 33: ('wagtail.blocks.IntegerBlock', (), {'default': 3, 'label': 'Number of pages to show'}), 34: ('wagtail.blocks.StructBlock', [[('settings', 4), ('indexed_by', 30), ('classified_by', 31), ('show_preview', 32), ('num_posts', 33)]], {}), 35: ('wagtail.blocks.PageChooserBlock', (), {'help_text': 'Show a mini preview of the selected page.', 'label': 'Page to preview', 'required': True}), 36: ('wagtail.blocks.StructBlock', [[('settings', 4), ('page', 35)]], {}), 37: ('wagtail.blocks.ChoiceBlock', [], {'choices': [('', 'Default'), ('aratinga/blocks/card_block.html', 'Card'), ('aratinga/blocks/card_head.html', 'Card with header'), ('aratinga/blocks/card_foot.html', 'Card with footer'), ('aratinga/blocks/card_head_foot.html', 'Card with header and footer'), ('aratinga/blocks/card_blurb.html', 'Blurb - rounded image and no border'), ('aratinga/blocks/card_img.html', 'Cover image - use image as background')], 'label': 'Template', 'required': False}), 38: ('wagtail.blocks.StructBlock', [[('custom_template', 37), ('custom_css_class', 2), ('custom_id', 3)]], {}), 39: ('wagtail.images.blocks.ImageChooserBlock', (), {'label': 'Image', 'max_length': 255, 'required': False}), 40: ('wagtail.blocks.CharBlock', (), {'label': 'Subtitle', 'max_length': 255, 'required': False}), 41: ('wagtail.blocks.RichTextBlock', (), {'features': ['bold', 'italic', 'ol', 'ul', 'hr', 'link', 'document-link'], 'label': 'Body'}), 42: ('wagtail.blocks.StreamBlock', [[('Links', 11)]], {'blank': True, 'label': 'Links', 'required': False}), 43: ('wagtail.blocks.StructBlock', [[('settings', 38), ('image', 39), ('title', 8), ('subtitle', 40), ('description', 41), ('links', 42)]], {}), 44: ('wagtail.snippets.blocks.SnippetChooserBlock', ('aratinga.Carousel',), {}), 45: ('wagtail.blocks.StructBlock', [[('settings', 4), ('carousel', 44)]], {})}, null=True)),
                ('caption', models.CharField(blank=True, max_length=255, verbose_name='Caption')),
                ('author_display', models.CharField(blank=True, help_text='Override how the author’s name displays on this article.', max_length=255, verbose_name='Display author as')),
                ('date_display', models.DateField(blank=True, null=True, verbose_name='Display publish date')),
                ('author', models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.SET_NULL, to=settings.AUTH_USER_MODEL, verbose_name='Author')),
            ],
            options={
                'verbose_name': 'Article',
                'ordering': ['-first_published_at'],
            },
            bases=('aratinga.aratingapage',),
        ),
    ]
